### Hierarchy

- Overlay

### Implements

- IRenderable
- IRenderable

## Index

### Constructors

- constructor

### Properties

- renderable
- spec

### Methods

- render
- hide
- show

## Constructors

### constructor

- new Overlay(renderable: IRenderable): Overlay

- - Defined in lib/renderable/overlay/index.ts:15

  #### Parameters

  - ##### renderable: IRenderable

  #### Returns Overlay

## Properties

### Private renderable

renderable: IRenderable

- Defined in lib/renderable/overlay/index.ts:15

### Private spec

spec: ISpecification

- Defined in lib/renderable/overlays/Overlay.ts:16

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/overlay/index.ts:24

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Static hide

- hide(overlay: INode): void

- - Defined in lib/renderable/overlays/Overlay.ts:45

  #### Parameters

  - ##### overlay: INode

  #### Returns void

### Static show

- show(overlay: INode): void

- - Defined in lib/renderable/overlays/Overlay.ts:49

  #### Parameters

  - ##### overlay: INode

  #### Returns void

Generated using TypeDoc